#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# config.py
#
# Configuration du gestionnaire de base de données
#
###########################################################################
"""
    Configuration du gestionnaire de base de données
"""
from os import path
LOGLEVEL = 0
LOGFILE = "/var/log/databases.log"
# Clé obligatoire pour la conf de mise à jour
CONF_KEYS = ["filenames", "db", "host"]

APP_DIRNAME = '/usr/share/eole/applications'
UPDATE_DIRNAME = path.join(APP_DIRNAME, 'updates')
PWD_DIRNAME = path.join(APP_DIRNAME, 'passwords')
GEN_DIRNAME = path.join(APP_DIRNAME, 'gen')
ROOT_USERNAME = 'root'

try:
    from creole.eosfunc import load_container_var
    container_conf = load_container_var()
    from creole.parsedico import parse_dico
    dico_creole = parse_dico()
except:
    container_conf = {}
HOST = container_conf.get('container_ip_mysql', "localhost")
SOURCE_HOST = container_conf.get('adresse_ip_br0', '127.0.0.1')
CONTAINER_PATH = container_conf.get('container_path_mysql', '')
MYSQL_DIR = path.join('/', CONTAINER_PATH, "var/lib/mysql")
MYSQL_SOCK_PATH = '/var/run/mysqld/mysqld.sock'
